<?php
// chargement du dossier custom
// si il n'existe pas, c'est que la première installation n'a pas eu lieu
// donc renommer config-custom en config
if (!is_dir("custom")) {
    if (is_dir("custom-sample")) {
        rename("custom-sample","custom");
        // on dirait une première installation, créer le directory "content" au besoin
        if(!is_dir("content")){
            mkdir("content", 0777, true);
        } 
    } else {
        die("Problème : pas de dossier custom-sample ni custom. Il doit y avoir un problème");
    }
}
include("custom/config.php");
include($GLOBALS['root']."includes/inc-functions.php");
include_once($GLOBALS['root'].'includes/inc-headers-process.php');
include_once($GLOBALS['root'].'includes/inc-header.php');


?>
<header id="main-header" class="clearfix">
    <h1 class="colonne full nobottom"><a href="./"><?php echo $GLOBALS['titre']; ?></a></h1>

    <div id="main-nav" class="colonne full padlat clearfix">
        <nav class="breadcrumb colonne demi nopad">
            <?php include("menus/base-menu.php"); ?>
        </nav>

        <nav class="breadcrumb colonne demi nopad adminnav">
            <?php affiche_menu_admin(); ?>
        </nav>
    </div>
    <div class="sep"></div>
    <?php include("menus/display-tools.php"); ?>
</header>

<div id="main-display" class="colonne full clearfix">

    <section class="content-display items-display" id="item-display" data-display="<?php echo $GLOBALS['affichage_defaut']; ?>">
        <div class="waiter waiting"><i class="fa fa-circle-o-notch fa-spin"></i></div>
        <ul id="main-list" class="clearfix"></ul>
    </section>
    <section class="content-display selection-display" id="selection-display" data-display="<?php echo $GLOBALS['affichage_defaut']; ?>">
        <div class="waiter waiting"><i class="fa fa-circle-o-notch fa-spin"></i></div>
        <ul id="selection-list" class="clearfix"></ul>
    </section>
</div>

<script>
    $(document).ready(function(){
        $(".selection-display").hide();
        $.ajax({
            url: "includes/inc-load-collection.php",
            cache: false
        }).done(function( html ) {
            $(".waiter").fadeOut("fast");
            $( "#main-list" ).append( html );
            search_init();
        });

        <?php
        // récupération d'un requete get éventuelle
        if(isset($_GET['selection'])){
            $selection=$_GET['selection'];
            // en faire une requete javascript
            //?selection=content/selections/lastlast_244903ad.xml
            echo "
            $('<a/>', {
                id: 'requete',
                }).attr('data-clic-action', 'one')
                .attr('data-cas', 'form')
                .attr('data-class', 'selection')
                .attr('data-load', 'ajax/ajax-load-selection.php?selection=".$selection."') 
            .appendTo('body').click();
            //alert('done');
";

            // echo "<div onload=\"dispatch_interface(this)\" data-load=\"ajax/ajax-load-selection.php?selection=".$GLOBALS['dossier_selections'].$selection."\" data-clic-action=\"one\" data-cas=\"form\" data-class=\"selection\"></div>";
        }
        if(isset($_GET['item'])){
            $item=$_GET['item'];
            // en faire une requete javascript
            // Molinero_245603b0_7.xml
            echo "sidebar_action(\"".$item."\");";
        }
        ?>
    });
</script>
<?php
include_once($GLOBALS['root'].'includes/inc-footer.php');
?>

